/******************************************************************************

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

******************************************************************************/

#ifndef MYERRORHANDLER_H
#define MYERRORHANDLER_H

#include <iostream>

#include <xercesc/sax/HandlerBase.hpp>

#include "utils.hpp"

XERCES_CPP_NAMESPACE_USE

class MyErrorHandler : public HandlerBase {
     virtual void warning(const SAXParseException &);
     virtual void error(const SAXParseException &);
     virtual void fatalError(const SAXParseException &);
};

#endif
